.sg-g-wrap {
	margin-bottom: 48px;
}

.sg-g-header {
	display: grid;	
	color: var(--white);
	background-color: var(--mirage-950);
	margin-bottom: 24px;
}

.sg-g-header__top {
	padding-bottom: 12px;
	border-bottom: 1px solid var(--mirage-900);
}

.sg-g-header__title {
	font-weight: 100;
	text-transform: none;
}

.sg-g-header__title span {
	color: var(--pastel-green-400);
}

.sg-g-header__frame:not(.fullscreen) {
	position: relative;
	width: 100%;
	border-radius: 12px;
	overflow: hidden;
}

.sg-g-header__frame.fullscreen {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	z-index: 1020;
}

.sg-g-header__frame:not(.play)::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .5);
}

.sg-g-header__frame-overlay {
	height: 100%;
}

.sg-g-header__frame-cover {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.sg-g-header__frame-play {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	max-width: max-content;
	padding-left: 16px;
	padding-right: 16px;
}

.sg-g-header__frame-fullscreen {
	position: absolute;
	top: 12px;
	right: 12px;
	display: flex;
	color: var(--white);
	font-size: 24px;
	transition: color ease .1s, transform ease .1s;
}

.sg-g-header__frame-fullscreen:hover {
	color: var(--pastel-green-400);
	transform: scale(1.15);
}

.sg-g-header__side-title {
	font-size: 16px;
	font-weight: 600;
	line-height: 24px;
}

.sg-g-header__side-items {
	margin-bottom: 12px;
	border-bottom: 1px solid var(--mirage-900);
}

.sg-g-header__side-item {
	display: flex;
	align-items: flex-start;
	gap: 6px;
	font-size: 16px;
	line-height: 24px;
}

.sg-g-header__side-item--label {
	color: var(--mirage-300);
	white-space: nowrap;
	margin-right: auto;
}

.sg-g-header__side-item--value {
	text-align: right;
}

.sg-g-header__side-item--value.devices {
	display: flex;
	flex-wrap: wrap;
	gap: 4px;
}

.sg-g-header__side-item--value.devices span {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 24px;
	height: 24px;
	padding: 4px;
	font-size: 8px;
	color: var(--mirage-200);
	background-color: var(--mirage-900);
	border-radius: 3px;
}

.sg-g-header__side-item--value.devices span .icon {
	font-size: 16px;
}

.sg-g-header__side-item--value.tech {
	text-transform: uppercase;
}

.sg-g-header__side-footer {
	display: flex;
	gap: 24px;
}

.sg-g-header__side-footer--text {
	font-size: 14px;
	line-height: 21px;
}

.sg-g-header__side-footer--btn {
	flex-shrink: 0;
	padding-left: 24px;
	padding-right: 24px;
}

.sg-g-header__room {
	display: none;
	position: absolute;
	left: 0;
	right: 0;
	width: 100%;
	max-width: 400px;
	margin-left: auto;
	margin-right: auto;
	align-items: center;
	justify-content: space-between;
	gap: 6px;
	color: var(--white);
	background-color: rgba(0, 0, 0, .8);
	padding: 20px 12px;
}

.sg-g-header__frame.fullscreen .sg-g-header__room {
	display: flex;
}

.sg-g-header__room-link {
	width: 40px;
	height: 40px;
	flex-shrink: 0;
}

.sg-g-header__room-img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}

.sg-g-header__room-bonus {
	font-size: 14px;
	text-align: center;
	line-height: 20px;
}

.sg-g-header__room-btns .button {
	min-width: 120px;
}

.sg-g-header__room-btn--play:not(:empty) ~ .sg-g-header__room-btn--promocode {
	display: none;
}

.sg-g-header__room-btn--promocode {
	font-size: 14px;
}

.sg-g-header__room-btn--promocode .icon {
	font-size: 18px;
}

@media (min-width: 572px) {
	.sg-g-header__room {
		top: 0;
		border-radius: 0 0 12px 12px;
	}

	.sg-g-header__room-rating .stars {
		font-size: 16px;
	}

	.sg-g-header__room-rating .stars::before {
		font-size: 14px;
		line-height: 16px;
	}

	.sg-g-header__room-rating .stars .icon:not(:first-child) {
		display: none;
	}
}

@media (min-width: 992px) {
	.sg-g-header {
		grid-template-columns: 1fr 323px;
		grid-gap: 24px;
		padding: 24px 24px 12px 24px;
	}

	.sg-g-header__top {
		grid-column: 1 / -1;
		display: flex;
		align-items: flex-start;
		gap: 24px;
	}

	.sg-g-header__title {
		font-size: 36px;
		text-align: left;
		line-height: 40px;
		margin-bottom: 0;
		margin-right: auto;
	}

	.sg-g-header__rating .stars {
		font-size: 36px;
	}

	.sg-g-header__rating .stars::before {
		font-size: 36px;
		line-height: 40px;
	}

	.sg-g-header__frame {
		height: 557px;
	}

	.sg-g-header__side {
		align-self: center;
	}

	.sg-g-header__side-title {
		margin-bottom: 12px;
	}

	.sg-g-header__side-items {
		padding-bottom: 12px;
	}

	.sg-g-header__side-item:not(:last-child) {
		margin-bottom: 12px;
	}
}

@media (max-width: 991.09px) {
	.sg-g-header {
		position: relative;
		left: -12px;
		width: calc(100% + 24px);
		grid-gap: 12px;
		padding: 16px;
	}

	.sg-g-header__title {
		font-size: 24px;
		text-align: center;
		line-height: 32px;
		margin-bottom: 8px;
	}

	.sg-g-header__rating .stars {
		justify-content: center;
		font-size: 24px;
	}

	.sg-g-header__rating .stars::before {
		font-size: 24px;
		line-height: 32px;
	}

	.sg-g-header__frame {
		min-height: 225px;
	}

	.sg-g-header__side-title {
		margin-bottom: 4px;
	}

	.sg-g-header__side-items {
		padding-bottom: 4px;
	}

	.sg-g-header__side-item:not(:last-child) {
		margin-bottom: 4px;
	}
}

@media (max-width: 575.98px) {
	.sg-g-header__room {
		bottom: 0;
		border-radius: 12px 12px 0 0;
	}

	.sg-g-header__room-rating {
		display: none;
	}
}